package collector

import (
	"runtime/debug"
)

func ClouditorVersion() string {
	info, ok := debug.ReadBuildInfo()
	if !ok {
		return "(devel)"
	}

	for _, d := range info.Deps {
		if d.Path == "clouditor.io/clouditor" {
			return d.Version
		}
	}

	return "(devel)"
}
