# Cloud Evidence Collector

This is the reference implementation of the MEDINA Cloud Evidence Collector, based on the [Clouditor](http://github.com/clouditor/clouditor) framework.

In its current version 1.1 it is able to discover an Microsoft Azure cloud system given the respective credentials. It then collects data about resources in the cloud system in the MEDINA evidence data format periodically and forwards the evidences to the Security Assessment component.

## Configuration
The implementation expects a Kubernetes secret with the Azure credentials to be deployed. The Kubernetes secret configuration should be specified in the kubernetes/collector.yml file. This file also specifies the OAuth configuration.

## Build and Usage
The component is supposed to run in a Kubernetes cluster. Use the Docker file to build a container and deploy it in the cluster. For local usage use ```go build cmd/collector/collector.go``` and ```go run collector```